Package org.eclipse.cdt.core

# Interface ISymbolReader

All Superinterfaces:
  `AutoCloseable`

All Known Implementing Classes:
  `CodeViewReader`, `DwarfReader`, `StabsReader`

public interface ISymbolReader extends AutoCloseable
A reader that's able to decipher debug symbol formats. This initial version only returns a list of source files.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`String[]`
`getSourceFiles()`
`String[]`
`getSourceFiles(org.eclipse.core.runtime.IProgressMonitor monitor)`
Gets the source files from this symbol reader.

## Method Details

### getSourceFiles

String[] getSourceFiles()

### getSourceFiles

String[] getSourceFiles(org.eclipse.core.runtime.IProgressMonitor monitor)
Gets the source files from this symbol reader.

Parameters:
  `monitor` - a progress monitor since this may be a lengthly operation
Returns:
  an array of path names to the source files
Since:
  5.2

### close

void close()

Specified by:
  `close` in interface `AutoCloseable`